Get an agent's effective permissions
curl --request GET \
--url https://api.matrices.com/v1/agents/{agentId}/effective-permissions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/agents/{agentId}/effective-permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/effective-permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/effective-permissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"builtIns": [
"<string>"
],
"roles": [
{
"id": "<string>",
"name": "<string>",
"version": 123
}
],
"toolsets": [
{
"namespace": "<string>",
"source": "managed",
"type": "mcp",
"id": "<string>",
"toolFilter": [
"<string>"
],
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
]
}
],
"version": "<string>",
"agentId": "<string>",
"conditional": [
{
"tool": "<string>",
"where": [
{
"op": "eq",
"path": "<string>",
"quantifier": "any",
"value": "<unknown>"
}
]
}
]
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Agents
Get an agent's effective permissions
Returns the bounded effective tool inventory and conditional grants for one agent. Broker credentials and transport-only fields are omitted.
GET
/
v1
/
agents
/
{agentId}
/
effective-permissions
Get an agent's effective permissions
curl --request GET \
--url https://api.matrices.com/v1/agents/{agentId}/effective-permissions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/agents/{agentId}/effective-permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/agents/{agentId}/effective-permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/agents/{agentId}/effective-permissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"builtIns": [
"<string>"
],
"roles": [
{
"id": "<string>",
"name": "<string>",
"version": 123
}
],
"toolsets": [
{
"namespace": "<string>",
"source": "managed",
"type": "mcp",
"id": "<string>",
"toolFilter": [
"<string>"
],
"tools": [
{
"name": "<string>",
"description": "<string>",
"inputSchema": {},
"outputSchema": {},
"timeoutMs": 123
}
]
}
],
"version": "<string>",
"agentId": "<string>",
"conditional": [
{
"tool": "<string>",
"where": [
{
"op": "eq",
"path": "<string>",
"quantifier": "any",
"value": "<unknown>"
}
]
}
]
}{
"operation": {
"action": "<string>",
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"state": "pending",
"resolvedAt": "2023-11-07T05:31:56Z",
"resolvedBy": {
"id": "<string>",
"type": "user",
"identity": "<string>",
"origin": {
"provider": "slack",
"senderId": "<string>",
"tenantId": "<string>",
"channelId": "<string>",
"messageId": "<string>",
"threadId": "<string>"
}
},
"result": {
"status": 349,
"body": "<unknown>"
}
}
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
APIKeyBearerAgentLeaseBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Effective permissions.